org.eclnt.jsfserver.elements.componentnodes

## Class SPINNERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SPINNERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SPINNERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPINNERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SPINNERNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindActioneventsnoblocking(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindActionListener(IActionListenerDelegation value)`
    `SPINNERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindAlign(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindBorder(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindClientname(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindClientvaluereference(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindDragsend(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindEditable(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFlush(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFlushtimer(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFont(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindForeground(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFormatmask(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindIncrement(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindMaxvalue(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindMinvalue(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindPlaceholder(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindRestricttokeys(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindRounding(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindUserhint(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindUserhinttrigger(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindValue(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindWithremoveicon(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindX(IDynamicContentBindingObject value)`
    `SPINNERNode` | `bindY(IDynamicContentBindingObject value)`
    `SPINNERNode` | `setAccessiblename(java.lang.String value)`
    `SPINNERNode` | `setActioneventsnoblocking(java.lang.String value)`
    `SPINNERNode` | `setActionListener(java.lang.String value)`
    `SPINNERNode` | `setAdapterbinding(java.lang.String value)`
    `SPINNERNode` | `setAlign(java.lang.String value)`
    `SPINNERNode` | `setAnimatechangeofsize(boolean value)`
    `SPINNERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `SPINNERNode` | `setAttributemacro(java.lang.String value)`
    `SPINNERNode` | `setBackground(java.lang.String value)`
    `SPINNERNode` | `setBgpaint(java.lang.String value)`
    `SPINNERNode` | `setBorder(java.lang.String value)`
    `SPINNERNode` | `setClientname(java.lang.String value)`
    `SPINNERNode` | `setClientvaluereference(java.lang.String value)`
    `SPINNERNode` | `setColspan(int value)`
    `SPINNERNode` | `setColspan(java.lang.String value)`
    `SPINNERNode` | `setComment(java.lang.String value)`
    `SPINNERNode` | `setConfiginfo(java.lang.String value)`
    `SPINNERNode` | `setDragroundtrip(boolean value)`
    `SPINNERNode` | `setDragroundtrip(java.lang.String value)`
    `SPINNERNode` | `setDragsend(java.lang.String value)`
    `SPINNERNode` | `setDroprastertext(java.lang.String value)`
    `SPINNERNode` | `setDropreceive(java.lang.String value)`
    `SPINNERNode` | `setDropshape(java.lang.String value)`
    `SPINNERNode` | `setEditable(java.lang.String value)`
    `SPINNERNode` | `setEnabled(boolean value)`
    `SPINNERNode` | `setEnabled(java.lang.String value)`
    `SPINNERNode` | `setFlush(boolean value)`
    `SPINNERNode` | `setFlush(java.lang.String value)`
    `SPINNERNode` | `setFlushtimer(int value)`
    `SPINNERNode` | `setFlushtimer(java.lang.String value)`
    `SPINNERNode` | `setFocusable(boolean value)`
    `SPINNERNode` | `setFocusable(java.lang.String value)`
    `SPINNERNode` | `setFocusdrawborder(boolean value)`
    `SPINNERNode` | `setFocusdrawborder(java.lang.String value)`
    `SPINNERNode` | `setFocusnexthotkey(java.lang.String value)`
    `SPINNERNode` | `setFocusprevioushotkey(java.lang.String value)`
    `SPINNERNode` | `setFocussequence(java.lang.String value)`
    `SPINNERNode` | `setFont(java.lang.String value)`
    `SPINNERNode` | `setForeground(java.lang.String value)`
    `SPINNERNode` | `setFormatmask(java.lang.String value)`
    `SPINNERNode` | `setFxstyleseq(java.lang.String value)`
    `SPINNERNode` | `setHeight(int value)`
    `SPINNERNode` | `setHeight(java.lang.String value)`
    `SPINNERNode` | `setHelpid(java.lang.String value)`
    `SPINNERNode` | `setId(java.lang.String value)`
    `SPINNERNode` | `setIncrement(int value)`
    `SPINNERNode` | `setIncrement(java.lang.String value)`
    `SPINNERNode` | `setMaxvalue(java.lang.String value)`
    `SPINNERNode` | `setMinvalue(java.lang.String value)`
    `SPINNERNode` | `setPlaceholder(java.lang.String value)`
    `SPINNERNode` | `setPopupmenu(java.lang.String value)`
    `SPINNERNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `SPINNERNode` | `setReference(java.lang.String value)`
    `SPINNERNode` | `setRendered(boolean value)`
    `SPINNERNode` | `setRendered(java.lang.String value)`
    `SPINNERNode` | `setRequestfocus(java.lang.String value)`
    `SPINNERNode` | `setRequestfocushotkey(java.lang.String value)`
    `SPINNERNode` | `setRestricttokeys(java.lang.String value)`
    `SPINNERNode` | `setRounding(int value)`
    `SPINNERNode` | `setRounding(java.lang.String value)`
    `SPINNERNode` | `setRowalignmenty(java.lang.String value)`
    `SPINNERNode` | `setShadow(java.lang.String value)`
    `SPINNERNode` | `setStyleseq(java.lang.String value)`
    `SPINNERNode` | `setStylevariant(java.lang.String value)`
    `SPINNERNode` | `setTooltip(java.lang.String value)`
    `SPINNERNode` | `setUserhint(java.lang.String value)`
    `SPINNERNode` | `setUserhinttrigger(java.lang.String value)`
    `SPINNERNode` | `setValue(java.lang.String value)`
    `SPINNERNode` | `setWidth(int value)`
    `SPINNERNode` | `setWidth(java.lang.String value)`
    `SPINNERNode` | `setWithfocusevent(boolean value)`
    `SPINNERNode` | `setWithfocusevent(java.lang.String value)`
    `SPINNERNode` | `setWithremoveicon(boolean value)`
    `SPINNERNode` | `setWithremoveicon(java.lang.String value)`
    `SPINNERNode` | `setX(int value)`
    `SPINNERNode` | `setX(java.lang.String value)`
    `SPINNERNode` | `setY(int value)`
    `SPINNERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SPINNERNode

          public SPINNERNode()

  - ### Method Detail

    - #### setId

          public SPINNERNode setId(java.lang.String value)

    - #### setAccessiblename

          public SPINNERNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public SPINNERNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public SPINNERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SPINNERNode bindActionListener(IActionListenerDelegation value)

    - #### setActioneventsnoblocking

          public SPINNERNode setActioneventsnoblocking(java.lang.String value)

    - #### bindActioneventsnoblocking

          public SPINNERNode bindActioneventsnoblocking(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public SPINNERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SPINNERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public SPINNERNode setAlign(java.lang.String value)

    - #### bindAlign

          public SPINNERNode bindAlign(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SPINNERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SPINNERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SPINNERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SPINNERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public SPINNERNode setBackground(java.lang.String value)

    - #### bindBackground

          public SPINNERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public SPINNERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public SPINNERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public SPINNERNode setBorder(java.lang.String value)

    - #### bindBorder

          public SPINNERNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public SPINNERNode setClientname(java.lang.String value)

    - #### bindClientname

          public SPINNERNode bindClientname(IDynamicContentBindingObject value)

    - #### setClientvaluereference

          public SPINNERNode setClientvaluereference(java.lang.String value)

    - #### bindClientvaluereference

          public SPINNERNode bindClientvaluereference(IDynamicContentBindingObject value)

    - #### setColspan

          public SPINNERNode setColspan(java.lang.String value)

    - #### bindColspan

          public SPINNERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SPINNERNode setColspan(int value)

    - #### setComment

          public SPINNERNode setComment(java.lang.String value)

    - #### bindComment

          public SPINNERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SPINNERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SPINNERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public SPINNERNode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public SPINNERNode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public SPINNERNode setDragroundtrip(boolean value)

    - #### setDragsend

          public SPINNERNode setDragsend(java.lang.String value)

    - #### bindDragsend

          public SPINNERNode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public SPINNERNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public SPINNERNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public SPINNERNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public SPINNERNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public SPINNERNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public SPINNERNode bindDropshape(IDynamicContentBindingObject value)

    - #### setEditable

          public SPINNERNode setEditable(java.lang.String value)

    - #### bindEditable

          public SPINNERNode bindEditable(IDynamicContentBindingObject value)

    - #### setEnabled

          public SPINNERNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public SPINNERNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public SPINNERNode setEnabled(boolean value)

    - #### setFlush

          public SPINNERNode setFlush(java.lang.String value)

    - #### bindFlush

          public SPINNERNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public SPINNERNode setFlush(boolean value)

    - #### setFlushtimer

          public SPINNERNode setFlushtimer(java.lang.String value)

    - #### bindFlushtimer

          public SPINNERNode bindFlushtimer(IDynamicContentBindingObject value)

    - #### setFlushtimer

          public SPINNERNode setFlushtimer(int value)

    - #### setFocusable

          public SPINNERNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public SPINNERNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public SPINNERNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public SPINNERNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public SPINNERNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public SPINNERNode setFocusdrawborder(boolean value)

    - #### setFocusnexthotkey

          public SPINNERNode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public SPINNERNode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public SPINNERNode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public SPINNERNode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussequence

          public SPINNERNode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public SPINNERNode bindFocussequence(IDynamicContentBindingObject value)

    - #### setFont

          public SPINNERNode setFont(java.lang.String value)

    - #### bindFont

          public SPINNERNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public SPINNERNode setForeground(java.lang.String value)

    - #### bindForeground

          public SPINNERNode bindForeground(IDynamicContentBindingObject value)

    - #### setFormatmask

          public SPINNERNode setFormatmask(java.lang.String value)

    - #### bindFormatmask

          public SPINNERNode bindFormatmask(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public SPINNERNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public SPINNERNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public SPINNERNode setHeight(java.lang.String value)

    - #### bindHeight

          public SPINNERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SPINNERNode setHeight(int value)

    - #### setHelpid

          public SPINNERNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public SPINNERNode bindHelpid(IDynamicContentBindingObject value)

    - #### setIncrement

          public SPINNERNode setIncrement(java.lang.String value)

    - #### bindIncrement

          public SPINNERNode bindIncrement(IDynamicContentBindingObject value)

    - #### setIncrement

          public SPINNERNode setIncrement(int value)

    - #### setMaxvalue

          public SPINNERNode setMaxvalue(java.lang.String value)

    - #### bindMaxvalue

          public SPINNERNode bindMaxvalue(IDynamicContentBindingObject value)

    - #### setMinvalue

          public SPINNERNode setMinvalue(java.lang.String value)

    - #### bindMinvalue

          public SPINNERNode bindMinvalue(IDynamicContentBindingObject value)

    - #### setPlaceholder

          public SPINNERNode setPlaceholder(java.lang.String value)

    - #### bindPlaceholder

          public SPINNERNode bindPlaceholder(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public SPINNERNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public SPINNERNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public SPINNERNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public SPINNERNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public SPINNERNode setReference(java.lang.String value)

    - #### setRendered

          public SPINNERNode setRendered(java.lang.String value)

    - #### bindRendered

          public SPINNERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SPINNERNode setRendered(boolean value)

    - #### setRequestfocus

          public SPINNERNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public SPINNERNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public SPINNERNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public SPINNERNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRestricttokeys

          public SPINNERNode setRestricttokeys(java.lang.String value)

    - #### bindRestricttokeys

          public SPINNERNode bindRestricttokeys(IDynamicContentBindingObject value)

    - #### setRounding

          public SPINNERNode setRounding(java.lang.String value)

    - #### bindRounding

          public SPINNERNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public SPINNERNode setRounding(int value)

    - #### setRowalignmenty

          public SPINNERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SPINNERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public SPINNERNode setShadow(java.lang.String value)

    - #### bindShadow

          public SPINNERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public SPINNERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public SPINNERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SPINNERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SPINNERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public SPINNERNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public SPINNERNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUserhint

          public SPINNERNode setUserhint(java.lang.String value)

    - #### bindUserhint

          public SPINNERNode bindUserhint(IDynamicContentBindingObject value)

    - #### setUserhinttrigger

          public SPINNERNode setUserhinttrigger(java.lang.String value)

    - #### bindUserhinttrigger

          public SPINNERNode bindUserhinttrigger(IDynamicContentBindingObject value)

    - #### setValue

          public SPINNERNode setValue(java.lang.String value)

    - #### bindValue

          public SPINNERNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public SPINNERNode setWidth(java.lang.String value)

    - #### bindWidth

          public SPINNERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SPINNERNode setWidth(int value)

    - #### setWithfocusevent

          public SPINNERNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public SPINNERNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public SPINNERNode setWithfocusevent(boolean value)

    - #### setWithremoveicon

          public SPINNERNode setWithremoveicon(java.lang.String value)

    - #### bindWithremoveicon

          public SPINNERNode bindWithremoveicon(IDynamicContentBindingObject value)

    - #### setWithremoveicon

          public SPINNERNode setWithremoveicon(boolean value)

    - #### setX

          public SPINNERNode setX(java.lang.String value)

    - #### bindX

          public SPINNERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SPINNERNode setX(int value)

    - #### setY

          public SPINNERNode setY(java.lang.String value)

    - #### bindY

          public SPINNERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SPINNERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.